LIBDIR ?= ../../lib
ZIPDIR ?= ../../..
ZIPPREFIX ?= eduard/modules/import
ZIPLIST= *.cpp *.h *.hh *.hpp Makefile doc/*.html doc/*.fig doc/Makefile
ZIPNAME=import
ZIPVER=1.1
#
#	derived vars
#
ZIPFILE=$(ZIPNAME)-$(ZIPVER).zip
CXXFLAGS += -fPIC -g -O -MMD -Wall -I../..

IMPORT_OBJ=import.o lexan.o  \
edif_parser.o edif_import.o lexan_edif.o edif_err.o \
bench_parser.o bench_import.o lexan_bench.o \
blif_import.o blif_parser.o lexan_blif.o \
vhdl_bison_parser.o vhdl_expressions.o vhdl_parser.o vhdl_err.o vhdl_import.o vhdl_parser_struct.o lexan_vhdl.o \
kiss_import.o kiss_parser.o  lexan_kiss.o \
lexan_pla.o pla_import.o pla_parser.o

TARGET_LIB=$(LIBDIR)/libeda_import.so

all: $(TARGET_LIB)

$(TARGET_LIB):  $(IMPORT_OBJ)
	$(CXX) -shared -o $(TARGET_LIB) $(IMPORT_OBJ)

clean:
	-@rm *.o
	-@rm *.so
	-@rm *.d
	-@rm *~

depend:
	mv Makefile Makefile.bak
	sed -n 1,/[gG]ENERATED/p Makefile.bak > Makefile
	cat *.d >> Makefile
 
depclean:
	mv Makefile Makefile.bak
	sed -n 1,/[gG]ENERATED/p Makefile.bak > Makefile

archives:
	@cd $(ZIPDIR); \
	if [ -f $(ZIPFILE) ]; then rm $(ZIPFILE); fi; \
	for f in $(ZIPLIST); do \
	find `dirname "$(ZIPPREFIX)/$$f"` -maxdepth 1 -name "`basename "$$f"`" -print | zip $(ZIPFILE) -@;\
	done

archives:
	@cd $(ZIPDIR); \
	if [ -f $(ZIPFILE) ]; then rm $(ZIPFILE); fi; \
	for f in $(ZIPLIST); do \
	find `dirname "$(ZIPPREFIX)/$$f"` -maxdepth 1 -name "`basename "$$f"`" -print | zip $(ZIPFILE) -@;\
	done
# ---------------- GENERATED --------------------------------------
edif_import.o: edif_import.cpp edif_import.h edif_parser.h lexan_edif.h \
  lexan.h ../../hub/err.h ../../hub/err.tcc ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/named.h import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../config.h edif_err.h
edif_parser.o: edif_parser.cpp edif_parser.h lexan_edif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../config.h
lexan.o: lexan.cpp lexan.h ../../hub/err.h ../../hub/err.tcc \
  ../../config.h
lexan_edif.o: lexan_edif.cpp lexan_edif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
bench_import.o: bench_import.cpp bench_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/symfunc.h ../../hub/named.h import.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  bench_parser.h lexan_bench.h lexan.h ../../hub/err.h edif_err.h \
  ../../hub/behavioral.h
bench_parser.o: bench_parser.cpp bench_parser.h lexan_bench.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../config.h
blif_import.o: blif_import.cpp blif_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/fsm.h edif_err.h ../../hub/named.h \
  ../../hub/behavioral.h ../../hub/pla.h ../../util/filename.h \
  kiss_import.h kiss_parser.h lexan_kiss.h pla_import.h pla_parser.h \
  lexan_pla.h
blif_parser.o: blif_parser.cpp blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
edif_err.o: edif_err.cpp edif_err.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/named.h ../../config.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/named.h ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/err.h
edif_import.o: edif_import.cpp edif_import.h edif_parser.h lexan_edif.h \
  lexan.h ../../hub/err.h ../../hub/err.tcc ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/named.h import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../config.h edif_err.h
edif_parser.o: edif_parser.cpp edif_parser.h lexan_edif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../config.h
lexan_bench.o: lexan_bench.cpp lexan_bench.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_blif.o: lexan_blif.cpp lexan_blif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc
lexan.o: lexan.cpp lexan.h ../../hub/err.h ../../hub/err.tcc \
  ../../config.h
lexan_edif.o: lexan_edif.cpp lexan_edif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
bench_import.o: bench_import.cpp bench_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/symfunc.h ../../hub/named.h import.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  bench_parser.h lexan_bench.h lexan.h ../../hub/err.h edif_err.h \
  ../../hub/behavioral.h
bench_parser.o: bench_parser.cpp bench_parser.h lexan_bench.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../config.h
blif_import.o: blif_import.cpp blif_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/fsm.h edif_err.h ../../hub/named.h \
  ../../hub/behavioral.h ../../hub/pla.h ../../util/filename.h \
  kiss_import.h kiss_parser.h lexan_kiss.h pla_import.h pla_parser.h \
  lexan_pla.h
blif_parser.o: blif_parser.cpp blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
edif_err.o: edif_err.cpp edif_err.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/named.h ../../config.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/named.h ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/err.h
edif_import.o: edif_import.cpp edif_import.h edif_parser.h lexan_edif.h \
  lexan.h ../../hub/err.h ../../hub/err.tcc ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/named.h import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../config.h edif_err.h
edif_parser.o: edif_parser.cpp edif_parser.h lexan_edif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../config.h
lexan_bench.o: lexan_bench.cpp lexan_bench.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_blif.o: lexan_blif.cpp lexan_blif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc
lexan.o: lexan.cpp lexan.h ../../hub/err.h ../../hub/err.tcc \
  ../../config.h
lexan_edif.o: lexan_edif.cpp lexan_edif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
bench_import.o: bench_import.cpp bench_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/symfunc.h ../../hub/named.h import.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  bench_parser.h lexan_bench.h lexan.h ../../hub/err.h edif_err.h \
  ../../hub/behavioral.h
bench_parser.o: bench_parser.cpp bench_parser.h lexan_bench.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../config.h
blif_import.o: blif_import.cpp blif_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/fsm.h edif_err.h ../../hub/named.h \
  ../../hub/behavioral.h ../../hub/pla.h ../../util/filename.h \
  kiss_import.h kiss_parser.h lexan_kiss.h pla_import.h pla_parser.h \
  lexan_pla.h
blif_parser.o: blif_parser.cpp blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
edif_err.o: edif_err.cpp edif_err.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/named.h ../../config.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/named.h ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/err.h
edif_import.o: edif_import.cpp edif_import.h edif_parser.h lexan_edif.h \
  lexan.h ../../hub/err.h ../../hub/err.tcc ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/named.h import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../config.h edif_err.h
edif_parser.o: edif_parser.cpp edif_parser.h lexan_edif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../config.h
kiss_import.o: kiss_import.cpp ../../hub/err.h ../../hub/err.tcc \
  kiss_import.h kiss_parser.h lexan_kiss.h lexan.h ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
kiss_parser.o: kiss_parser.cpp kiss_parser.h lexan_kiss.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h
lexan_bench.o: lexan_bench.cpp lexan_bench.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_blif.o: lexan_blif.cpp lexan_blif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan.o: lexan.cpp lexan.h ../../hub/err.h ../../hub/err.tcc \
  ../../config.h
lexan_edif.o: lexan_edif.cpp lexan_edif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_kiss.o: lexan_kiss.cpp lexan_kiss.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc
lexan_vhdl.o: lexan_vhdl.cpp ../../config.h vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_bison_parser.o: vhdl_bison_parser.cpp vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_err.o: vhdl_err.cpp vhdl_err.h ../../hub/err.h ../../hub/err.tcc \
  edif_err.h ../../hub/named.h ../../config.h ../../hub/location.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/err.h lexan.h location.hh position.hh
vhdl_expressions.o: vhdl_expressions.cpp vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_import.o: vhdl_import.cpp vhdl_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  vhdl_bison_parser.hpp vhdl_parser_struct.h ../../hub/named.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h edif_err.h stack.hh \
  ../../hub/symfunc.h ../../hub/behavioral.h ../../config.h
vhdl_parser.o: vhdl_parser.cpp vhdl_bison_parser.hpp vhdl_parser_struct.h \
  ../../hub/named.h ../../config.h vhdl_expressions.h location.hh \
  position.hh vhdl_parser.h import.h ../../hub/hub.h ../../hub/named.h \
  ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/location.h \
  ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h edif_err.h stack.hh
vhdl_parser_struct.o: vhdl_parser_struct.cpp vhdl_err.h ../../hub/err.h \
  ../../hub/err.tcc edif_err.h ../../hub/named.h ../../config.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/named.h ../../hub/attr.h \
  ../../hub/entity.h ../../hub/arch.h ../../hub/entity_fw.h \
  ../../hub/behavioral.h ../../hub/err.h lexan.h location.hh position.hh \
  vhdl_parser_struct.h vhdl_expressions.h
bench_import.o: bench_import.cpp bench_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/symfunc.h ../../hub/named.h import.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  bench_parser.h lexan_bench.h lexan.h ../../hub/err.h edif_err.h \
  ../../hub/behavioral.h
bench_parser.o: bench_parser.cpp bench_parser.h lexan_bench.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../config.h
blif_import.o: blif_import.cpp blif_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/fsm.h edif_err.h ../../hub/named.h \
  ../../hub/behavioral.h ../../hub/pla.h ../../util/filename.h \
  kiss_import.h kiss_parser.h lexan_kiss.h pla_import.h pla_parser.h \
  lexan_pla.h
blif_parser.o: blif_parser.cpp blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
edif_err.o: edif_err.cpp edif_err.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/named.h ../../config.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/named.h ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/err.h
edif_import.o: edif_import.cpp edif_import.h edif_parser.h lexan_edif.h \
  lexan.h ../../hub/err.h ../../hub/err.tcc ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/named.h import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../config.h edif_err.h
edif_parser.o: edif_parser.cpp edif_parser.h lexan_edif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../config.h
kiss_import.o: kiss_import.cpp ../../hub/err.h ../../hub/err.tcc \
  kiss_import.h kiss_parser.h lexan_kiss.h lexan.h ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
kiss_parser.o: kiss_parser.cpp kiss_parser.h lexan_kiss.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h
lexan_bench.o: lexan_bench.cpp lexan_bench.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_blif.o: lexan_blif.cpp lexan_blif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan.o: lexan.cpp lexan.h ../../hub/err.h ../../hub/err.tcc \
  ../../config.h
lexan_edif.o: lexan_edif.cpp lexan_edif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_kiss.o: lexan_kiss.cpp lexan_kiss.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_pla.o: lexan_pla.cpp lexan_pla.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc
lexan_vhdl.o: lexan_vhdl.cpp ../../config.h vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_bison_parser.o: vhdl_bison_parser.cpp vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_err.o: vhdl_err.cpp vhdl_err.h ../../hub/err.h ../../hub/err.tcc \
  edif_err.h ../../hub/named.h ../../config.h ../../hub/location.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/err.h lexan.h location.hh position.hh
vhdl_expressions.o: vhdl_expressions.cpp vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_import.o: vhdl_import.cpp vhdl_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  vhdl_bison_parser.hpp vhdl_parser_struct.h ../../hub/named.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h edif_err.h stack.hh \
  ../../hub/symfunc.h ../../hub/behavioral.h ../../config.h
vhdl_parser.o: vhdl_parser.cpp vhdl_bison_parser.hpp vhdl_parser_struct.h \
  ../../hub/named.h ../../config.h vhdl_expressions.h location.hh \
  position.hh vhdl_parser.h import.h ../../hub/hub.h ../../hub/named.h \
  ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/location.h \
  ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h edif_err.h stack.hh
vhdl_parser_struct.o: vhdl_parser_struct.cpp vhdl_err.h ../../hub/err.h \
  ../../hub/err.tcc edif_err.h ../../hub/named.h ../../config.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/named.h ../../hub/attr.h \
  ../../hub/entity.h ../../hub/arch.h ../../hub/entity_fw.h \
  ../../hub/behavioral.h ../../hub/err.h lexan.h location.hh position.hh \
  vhdl_parser_struct.h vhdl_expressions.h
bench_import.o: bench_import.cpp bench_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/symfunc.h ../../hub/named.h import.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  bench_parser.h lexan_bench.h lexan.h ../../hub/err.h edif_err.h \
  ../../hub/behavioral.h
bench_parser.o: bench_parser.cpp bench_parser.h lexan_bench.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  ../../config.h
blif_import.o: blif_import.cpp blif_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/fsm.h edif_err.h ../../hub/named.h \
  ../../hub/behavioral.h ../../hub/pla.h ../../util/filename.h \
  kiss_import.h kiss_parser.h lexan_kiss.h pla_import.h pla_parser.h \
  lexan_pla.h
blif_parser.o: blif_parser.cpp blif_parser.h lexan_blif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
edif_err.o: edif_err.cpp edif_err.h ../../hub/err.h ../../hub/err.tcc \
  ../../hub/named.h ../../config.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/named.h ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/err.h
edif_import.o: edif_import.cpp edif_import.h edif_parser.h lexan_edif.h \
  lexan.h ../../hub/err.h ../../hub/err.tcc ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  ../../hub/location.h ../../hub/err.h ../../hub/named.h import.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../config.h edif_err.h
edif_parser.o: edif_parser.cpp edif_parser.h lexan_edif.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../config.h
kiss_import.o: kiss_import.cpp ../../hub/err.h ../../hub/err.tcc \
  kiss_import.h kiss_parser.h lexan_kiss.h lexan.h ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h import.h \
  ../../hub/hub.h ../../hub/entity.h ../../hub/location.h ../../hub/hub.h \
  ../../hub/err.h ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h
kiss_parser.o: kiss_parser.cpp kiss_parser.h lexan_kiss.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc ../../hub/fsm.h \
  ../../hub/behavioral.h ../../hub/arch.h ../../hub/named.h \
  ../../config.h ../../hub/attr.h ../../hub/entity_fw.h
lexan_bench.o: lexan_bench.cpp lexan_bench.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_blif.o: lexan_blif.cpp lexan_blif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan.o: lexan.cpp lexan.h ../../hub/err.h ../../hub/err.tcc \
  ../../config.h
lexan_edif.o: lexan_edif.cpp lexan_edif.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_kiss.o: lexan_kiss.cpp lexan_kiss.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_pla.o: lexan_pla.cpp lexan_pla.h lexan.h ../../hub/err.h \
  ../../hub/err.tcc ../../config.h
lexan_vhdl.o: lexan_vhdl.cpp ../../config.h vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
pla_import.o: pla_import.cpp pla_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  pla_parser.h lexan_pla.h lexan.h ../../hub/err.h ../../hub/err.tcc \
  import.h ../../hub/location.h ../../hub/hub.h ../../hub/err.h \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h ../../hub/structural.h ../../hub/behavioral.h \
  ../../hub/pla.h edif_err.h ../../hub/named.h
pla_parser.o: pla_parser.cpp pla_parser.h lexan_pla.h lexan.h \
  ../../hub/err.h ../../hub/err.tcc
vhdl_bison_parser.o: vhdl_bison_parser.cpp vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_err.o: vhdl_err.cpp vhdl_err.h ../../hub/err.h ../../hub/err.tcc \
  edif_err.h ../../hub/named.h ../../config.h ../../hub/location.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/err.h lexan.h location.hh position.hh
vhdl_expressions.o: vhdl_expressions.cpp vhdl_bison_parser.hpp \
  vhdl_parser_struct.h ../../hub/named.h ../../config.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/hub.h ../../hub/named.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc \
  ../../util/msg.h ../../util/gaugemsg.h ../../util/msg.h \
  ../../util/gzstream.h lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h \
  edif_err.h stack.hh
vhdl_import.o: vhdl_import.cpp vhdl_import.h ../../hub/hub.h \
  ../../hub/named.h ../../config.h ../../hub/attr.h ../../hub/entity.h \
  ../../hub/arch.h ../../hub/entity_fw.h ../../hub/behavioral.h \
  ../../hub/structural.h ../../hub/hub.h ../../hub/attr.h \
  vhdl_bison_parser.hpp vhdl_parser_struct.h ../../hub/named.h \
  vhdl_expressions.h location.hh position.hh vhdl_parser.h import.h \
  ../../hub/location.h ../../hub/err.h ../../hub/err.tcc ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h edif_err.h stack.hh \
  ../../hub/symfunc.h ../../hub/behavioral.h ../../config.h
vhdl_parser.o: vhdl_parser.cpp vhdl_bison_parser.hpp vhdl_parser_struct.h \
  ../../hub/named.h ../../config.h vhdl_expressions.h location.hh \
  position.hh vhdl_parser.h import.h ../../hub/hub.h ../../hub/named.h \
  ../../hub/attr.h ../../hub/entity.h ../../hub/arch.h \
  ../../hub/entity_fw.h ../../hub/behavioral.h ../../hub/location.h \
  ../../hub/hub.h ../../hub/err.h ../../hub/err.tcc ../../util/msg.h \
  ../../util/gaugemsg.h ../../util/msg.h ../../util/gzstream.h \
  lexan_vhdl.h lexan.h ../../hub/err.h vhdl_err.h edif_err.h stack.hh
vhdl_parser_struct.o: vhdl_parser_struct.cpp vhdl_err.h ../../hub/err.h \
  ../../hub/err.tcc edif_err.h ../../hub/named.h ../../config.h \
  ../../hub/location.h ../../hub/hub.h ../../hub/named.h ../../hub/attr.h \
  ../../hub/entity.h ../../hub/arch.h ../../hub/entity_fw.h \
  ../../hub/behavioral.h ../../hub/err.h lexan.h location.hh position.hh \
  vhdl_parser_struct.h vhdl_expressions.h
